Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyProgramElementDoc

- org.codehaus.groovy.groovydoc.GroovyDoc

- All Superinterfaces:
    GroovyDoc

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovyAnnotationRef[]` | `annotations()`
    `` | `GroovyClassDoc` | `containingClass()`
    `` | `GroovyPackageDoc` | `containingPackage()`
    `` | `boolean` | `isFinal()`
    `` | `boolean` | `isPackagePrivate()`
    `` | `boolean` | `isPrivate()`
    `` | `boolean` | `isProtected()`
    `` | `boolean` | `isPublic()`
    `` | `boolean` | `isStatic()`
    `` | `int` | `modifierSpecifier()`
    `` | `String` | `modifiers()`
    `` | `String` | `qualifiedName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GroovyDoc` | `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`
    `interface Comparable` | `compareTo`

- - ### Method Detail

    - #### public GroovyAnnotationRef[] annotations()

    - #### public GroovyClassDoc containingClass()

    - #### public GroovyPackageDoc containingPackage()

    - #### public boolean isFinal()

    - #### public boolean isPackagePrivate()

    - #### public boolean isPrivate()

    - #### public boolean isProtected()

    - #### public boolean isPublic()

    - #### public boolean isStatic()

    - #### public int modifierSpecifier()

    - #### public String modifiers()

    - #### public String qualifiedName()